org.apache.lucene.queryparser.flexible.standard.config

## Class LegacyNumericFieldConfigListener

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.standard.config.LegacyNumericFieldConfigListener

- All Implemented Interfaces:
    FieldConfigListener

  Deprecated.
  Index with Points instead and use `PointsConfigListener`

      @Deprecated
      public class LegacyNumericFieldConfigListener
      extends Object
      implements FieldConfigListener

  This listener is used to listen to `FieldConfig` requests in `QueryConfigHandler` and add `StandardQueryConfigHandler.ConfigurationKeys.LEGACY_NUMERIC_CONFIG` based on the `StandardQueryConfigHandler.ConfigurationKeys.LEGACY_NUMERIC_CONFIG_MAP` set in the `QueryConfigHandler`.
  See Also:
    `LegacyNumericConfig`, `QueryConfigHandler`, `StandardQueryConfigHandler.ConfigurationKeys.LEGACY_NUMERIC_CONFIG`, `StandardQueryConfigHandler.ConfigurationKeys.LEGACY_NUMERIC_CONFIG_MAP`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LegacyNumericFieldConfigListener(QueryConfigHandler config)` Deprecated. Constructs a `LegacyNumericFieldConfigListener` object using the given `QueryConfigHandler`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildFieldConfig(FieldConfig fieldConfig)` Deprecated. This method is called ever time a field configuration is requested.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LegacyNumericFieldConfigListener

          public LegacyNumericFieldConfigListener(QueryConfigHandler config)

      Deprecated.
      Constructs a `LegacyNumericFieldConfigListener` object using the given `QueryConfigHandler`.
      Parameters:
        `config` - the `QueryConfigHandler` it will listen too

  - ### Method Detail

    - #### buildFieldConfig

          public void buildFieldConfig(FieldConfig fieldConfig)

      Deprecated.
      Description copied from interface: `FieldConfigListener`
      This method is called ever time a field configuration is requested.
      Specified by:
        `buildFieldConfig` in interface `FieldConfigListener`
      Parameters:
        `fieldConfig` - the field configuration requested, should never be null

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.